
Contact Form - Bug #2260

Conflicting with redmine_ckeditor plugin using preview

30 Oct 2013 09:56 - Vyacheslav K

Status: Incomplete Start date: 30 Oct 2013

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Redmine version:  External issue:  

Description

It seems that it’s not compatible with redmine_ckeditor plugin.

When using “preview” it returns nothing, but only 403 forbidden error.

History

#1 - 23 May 2014 22:12 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

Vyacheslav, could you please provide logs?

#2 - 29 May 2014 08:44 - Vyacheslav K

Hello Anriy.

It seems that preview is not allowed. It’s not related to redmine_ckeditor. 

I changed

before_filter :check_settings, :except => :settings

to

before_filter :check_settings, :except => [ :preview, :settings ]

 

at app/controllers/contact_form_controller.rb

and everything is ok.

#3 - 31 May 2014 16:48 - Andriy Lesyuk

- Status changed from Open to Under Verification
- Target version set to 0.1.1

#4 - 31 May 2014 16:59 - Andriy Lesyuk

- Status changed from Under Verification to Incomplete

- Target version deleted (0.1.1)

Hm... The problem is that you should not be able to access the contact form, if the preview gives 403...

Are you able to submit the form without preview? What is this form – for a user or the global one?

#5 - 31 May 2014 18:40 - Vyacheslav K

User is allowed to submit form (it works), but not allowed to preview.

I tried to send by administrator to user and by user to administrator - the same result.

Yes, a bit weird.
